Is the Magic Trackpad 2 compatible with a late 2009 27" iMac? My iMac is reportedly Apple Bluetooth Software Version 4.4.4f4 17685.

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    No. Apple says Bluetooth v4.0 and OS X 10.11 or later. Your Mac wouldn't have v4.0 bluetooth in 2009.

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions